Bug 65692 - xcin does not work with XFree86 4.2.0
xcin does not work with XFree86 4.2.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: xcin (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 03:12 EDT by Need Real Name
Modified: 2013-01-10 16:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-21 01:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-30 03:12:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I believe many people in the Mainland China must have encountered
this problem. 

When the locale is set to zh_CN, The input server xcin
does not work (no response to the input method switching
hot keys).

By back grading to XFree86 4.1.0-15 from RedHat 7.2,
xcin works well.

I was using GNOME and I don't know if xcin works with KDE
(the desktops should be irrelevant to this problem).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RedHat Linux 7.3 (install xcin, do not install miniChinput)
2.Login through gdm, choosing Simplified Chinese locale
3.Run an XIM awared application (e.g., rxvt) and try to input Chinese characters
	

Actual Results:  No response to the input method switching hot keys (e.g.,
ctrl-spacebar)

Additional info:
Comment 1 Lam Yat Ming, Kenneth 2002-06-01 00:33:08 EDT
In my RedHat 7.3 Linux, I am using KDE.  The Ctrl+Spacebar hot-key is working fine.  But I have the problem in moving / resizing applications.  
Reported bug "65822"
Comment 2 Mike A. Harris 2002-12-19 05:19:11 EST
Reassigning to xcin.

Note for developers:
I do not speak/type Chinese, and have never used anything but standard
English and an en_US 101 key keyboard.  I know nothing whatsoever about
input methods.  If this isn't a problem in xcin itself, please assign
this problem to someone who is familiar with CJK input methods, and
these types of i18n issues, or close it WONTFIX after reporting the problem
to upstream so that someone there can investigate.  If this issue is fixed
in RHL 8.0, please close as CURRENTRELEASE, etc...
Comment 3 Leon Ho 2004-05-21 00:59:53 EDT
Please retest it on latest xcin with xorg, or use our latest IIIMF
language engines. Thanks!

Note You need to log in before you can comment on or make changes to this bug.